Get Entity by Short ID
curl --request GET \
--url https://api.replyke.com/api/v6/:projectId/entities/by-short-idimport requests
url = "https://api.replyke.com/api/v6/:projectId/entities/by-short-id"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.replyke.com/api/v6/:projectId/entities/by-short-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"shortId": "<string>",
"title": "<string>",
"content": "<string>",
"userId": "<string>",
"keywords": [
{}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}Entity Endpoints
Get Entity by Short ID
Retrieve an entity using its short identifier
GET
/
:projectId
/
entities
/
by-short-id
Get Entity by Short ID
Retrieves a single entity using its
shortId. Publicly accessible.
Query Parameters
string
required
The short identifier of the entity
Response
string
Unique entity identifier
string
Short identifier for easy sharing
string
Entity title
string
Entity content
string
ID of the user who created the entity
array
Array of keywords
string
Creation timestamp in ISO 8601 format
string
Last update timestamp in ISO 8601 format
Error Responses
Missing Short ID - 400 Bad Request
Missing Short ID - 400 Bad Request
{
"error": "Missing shortId in request query.",
"code": "entity/invalid-query-params"
}
Not Found - 404 Not Found
Not Found - 404 Not Found
{
"error": "Entity not found",
"code": "entity/not-found"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error.",
"code": "entity/server-error",
"details": "<Error message>"
}
Notes
- No authentication is required.
- The
shortIdis typically used for easily shareable or user-friendly URLs.

